package com.uas.account.entity;

/**
 * 资源文件
 * 
 * @author yingp
 *
 */
public class Asset {

	private Long id;
	private String appId;
	private Integer idx;
	private String url;
	private String background;
	private String imgLink;
	private String color;
	private String reserveColor;
	private String title;
	private String subTitle;
	private String btns;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * 所属app
	 * 
	 * @return
	 */
	public String getAppId() {
		return appId;
	}

	public void setAppId(String appId) {
		this.appId = appId;
	}

	/**
	 * 序号
	 * 
	 * @return
	 */
	public Integer getIdx() {
		return idx;
	}

	public void setIdx(Integer idx) {
		this.idx = idx;
	}

	/**
	 * 背景图片链接
	 * 
	 * @return
	 */
	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	/**
	 * 背景颜色
	 * 
	 * @return
	 */
	public String getBackground() {
		return background;
	}

	public void setBackground(String background) {
		this.background = background;
	}

	/**
	 * 点击背景图片跳转链接
	 * 
	 * @return
	 */
	public String getImgLink() {
		return imgLink;
	}

	public void setImgLink(String imgLink) {
		this.imgLink = imgLink;
	}

	/**
	 * 主标题 <code>font-size: 24px</code>
	 * 
	 * @return
	 */
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * 副标题/描述 <code>font-size: 18px</code>
	 * 
	 * @return
	 */
	public String getSubTitle() {
		return subTitle;
	}

	public void setSubTitle(String subTitle) {
		this.subTitle = subTitle;
	}

	/**
	 * 按钮，json格式
	 * 
	 * <pre>
	 * [{
	 * "text": "查看详情", 
	 * "link": "http://www.example.com"
	 * },{
	 * "text": "立即购买", 
	 * "link": "http://www.example.com"
	 * }]
	 * </pre>
	 * 
	 * @return
	 */
	public String getBtns() {
		return btns;
	}

	public void setBtns(String btns) {
		this.btns = btns;
	}

	/**
	 * 文字颜色，包括标题、副标题、按钮的
	 * 
	 * @return
	 */
	public String getColor() {
		return color;
	}

	public void setColor(String color) {
		this.color = color;
	}

	/**
	 * 相对文字颜色，focus、active时切换，包括标题、副标题、按钮的
	 * 
	 * @return
	 */
	public String getReserveColor() {
		return reserveColor;
	}

	public void setReserveColor(String reserveColor) {
		this.reserveColor = reserveColor;
	}

}
